## DMS UIM Set PIN Protection request DMS UIM Set PIN Protection request |

## Functions

QmiMessageDmsUimSetPinProtectionInput * | qmi_message_dms_uim_set_pin_protection_input_new ()
QmiMessageDmsUimSetPinProtectionInput * | qmi_message_dms_uim_set_pin_protection_input_ref ()
void | qmi_message_dms_uim_set_pin_protection_input_unref ()
gboolean | qmi_message_dms_uim_set_pin_protection_input_get_info ()
gboolean | qmi_message_dms_uim_set_pin_protection_input_set_info ()
QmiMessageDmsUimSetPinProtectionOutput * | qmi_message_dms_uim_set_pin_protection_output_ref ()
void | qmi_message_dms_uim_set_pin_protection_output_unref ()
gboolean | qmi_message_dms_uim_set_pin_protection_output_get_result ()
gboolean | qmi_message_dms_uim_set_pin_protection_output_get_pin_retries_status ()
void | qmi_client_dms_uim_set_pin_protection ()
QmiMessageDmsUimSetPinProtectionOutput * | qmi_client_dms_uim_set_pin_protection_finish ()

## Types and Values

| QmiMessageDmsUimSetPinProtectionInput
| QmiMessageDmsUimSetPinProtectionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimSetPinProtectionInput
        ╰── QmiMessageDmsUimSetPinProtectionOutput

## Description

## Functions

### qmi_message_dms_uim_set_pin_protection_input_new ()

    QmiMessageDmsUimSetPinProtectionInput *
    qmi_message_dms_uim_set_pin_protection_input_new
                                   (void);

Allocates a new QmiMessageDmsUimSetPinProtectionInput.

#### Returns

the newly created QmiMessageDmsUimSetPinProtectionInput. The returned value should be freed with `qmi_message_dms_uim_set_pin_protection_input_unref()`.

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_input_ref ()

    QmiMessageDmsUimSetPinProtectionInput *
    qmi_message_dms_uim_set_pin_protection_input_ref
                                   (QmiMessageDmsUimSetPinProtectionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_input_unref ()

    void
    qmi_message_dms_uim_set_pin_protection_input_unref
                                   (QmiMessageDmsUimSetPinProtectionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionInput. |

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_input_get_info ()

    gboolean
    qmi_message_dms_uim_set_pin_protection_input_get_info
                                   (QmiMessageDmsUimSetPinProtectionInput *self,
                                    QmiDmsUimPinId *value_info_pin_id,
                                    gboolean *value_info_protection_enabled,
                                    const gchar **value_info_pin,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionInput. |
value_info_pin_id | a placeholder for the output QmiDmsUimPinId, or `NULL` if not required. | [out][optional]
value_info_protection_enabled | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_info_pin | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_input_set_info ()

    gboolean
    qmi_message_dms_uim_set_pin_protection_input_set_info
                                   (QmiMessageDmsUimSetPinProtectionInput *self,
                                    QmiDmsUimPinId value_info_pin_id,
                                    gboolean value_info_protection_enabled,
                                    const gchar *value_info_pin,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionInput. |
value_info_pin_id | a QmiDmsUimPinId. |
value_info_protection_enabled | a gboolean. |
value_info_pin | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_output_ref ()

    QmiMessageDmsUimSetPinProtectionOutput *
    qmi_message_dms_uim_set_pin_protection_output_ref
                                   (QmiMessageDmsUimSetPinProtectionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_output_unref ()

    void
    qmi_message_dms_uim_set_pin_protection_output_unref
                                   (QmiMessageDmsUimSetPinProtectionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionOutput. |

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_output_get_result ()

    gboolean
    qmi_message_dms_uim_set_pin_protection_output_get_result
                                   (QmiMessageDmsUimSetPinProtectionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_pin_protection_output_get_pin_retries_status ()

    gboolean
    qmi_message_dms_uim_set_pin_protection_output_get_pin_retries_status
                                   (QmiMessageDmsUimSetPinProtectionOutput *self,
                                    guint8 *value_pin_retries_status_verify_retries_left,
                                    guint8 *value_pin_retries_status_unblock_retries_left,
                                    GError **error);

Get the 'Pin Retries Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimSetPinProtectionOutput. |
value_pin_retries_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_pin_retries_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_dms_uim_set_pin_protection ()

    void
    qmi_client_dms_uim_set_pin_protection (QmiClientDms *self,
                                           QmiMessageDmsUimSetPinProtectionInput *input,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a UIM Set PIN Protection request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_set_pin_protection_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimSetPinProtectionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_set_pin_protection_finish ()

    QmiMessageDmsUimSetPinProtectionOutput *
    qmi_client_dms_uim_set_pin_protection_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_uim_set_pin_protection()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_set_pin_protection()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimSetPinProtectionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_set_pin_protection_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimSetPinProtectionInput

    typedef struct _QmiMessageDmsUimSetPinProtectionInput QmiMessageDmsUimSetPinProtectionInput;

The QmiMessageDmsUimSetPinProtectionInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsUimSetPinProtectionOutput

    typedef struct _QmiMessageDmsUimSetPinProtectionOutput QmiMessageDmsUimSetPinProtectionOutput;

The QmiMessageDmsUimSetPinProtectionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0